Reativar assinatura
curl --request PATCH \
--url https://api.malga.io/v1/subscriptions/{id}/resume \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/subscriptions/{id}/resume"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.patch(url, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}
};
fetch('https://api.malga.io/v1/subscriptions/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c7e9f0a3-b0b2-4c56-b918-79e31ed5a4f1",
"status": "active",
"message": "Assinatura retomada com sucesso",
"updatedAt": "2025-07-31T15:00:00Z"
}Subscriptions
Reativar assinatura
PATCH
/
v1
/
subscriptions
/
{id}
/
resume
Reativar assinatura
Path Parameters
id da assinatura que deseja reativar
Response
200 - application/json
Success
Identificador da assinatura
Example:
"c7e9f0a3-b0b2-4c56-b918-79e31ed5a4f1"
Novo status da assinatura após retomar
Example:
"active"
Mensagem explicando o resultado da retomada
Example:
"Assinatura retomada com sucesso"
Data da atualização da assinatura
Example:
"2025-07-31T15:00:00Z"
Was this page helpful?
⌘I